import { HtmlTagObject } from 'html-webpack-plugin';
import { Compiler } from 'webpack';
export declare type IncludeFilter = string[] | ((outputName: string) => boolean);
export interface ExternalItem extends Omit<HtmlTagObject, 'voidTag' | 'meta'> {
    tag?: 'script' | 'style' | 'meta';
    voidTag?: boolean;
    attrs?: Record<string, string | boolean | null | undefined>;
    include?: IncludeFilter;
}
export interface HtmlAssetItem extends HtmlTagObject {
    include?: IncludeFilter;
}
export interface HtmlWebpackInjectPluginConfig {
    externals?: ExternalItem[];
    prepend?: boolean;
}
export default class HtmlWebpackInjectPlugin {
    assets: HtmlAssetItem[];
    prepend: boolean;
    constructor(config: HtmlWebpackInjectPluginConfig);
    apply: (compiler: Compiler) => void;
}
